Loading...
Searching...
No Matches
juce::TextLayout::Line Class Reference

## Detailed Description

A line containing a sequence of glyph-runs.

The documentation for this class was generated from the following file:

- juce_graphics/fonts/juce_TextLayout.h

## Public Member Functions

| Line ()=default
| Line (Range< int > stringRange, Point< float > lineOrigin, float ascent, float descent, float leading, int numRunsToPreallocate)
| Line (const Line &)
Line & | operator= (const Line &)
| Line (Line &&) noexcept=default
Line & | operator= (Line &&) noexcept=default
| ~Line () noexcept=default
Range< float > | getLineBoundsX () const noexcept
| Returns the X position range which contains all the glyphs in this line.
Range< float > | getLineBoundsY () const noexcept
| Returns the Y position range which contains all the glyphs in this line.
Rectangle< float > | getLineBounds () const noexcept
| Returns the smallest rectangle which contains all the glyphs in this line.
void | swap (Line &other) noexcept

## Public Attributes

OwnedArray< Run > | runs
| The glyph-runs in this line.
Range< int > | stringRange
| The character range that this line represents in the original string that was used to create it.
Point< float > | lineOrigin
| The line's baseline origin.
float | ascent = 0.0f
float | descent = 0.0f
float | leading = 0.0f

## Constructors and Destructors

## Line() [1/4]

juce::TextLayout::Line::Line | ( |  | ) |

default

Referenced by Line(), Line(), operator=(), operator=(), swap(), and ~Line().

## Line() [2/4]

juce::TextLayout::Line::Line | ( | Range< int > | stringRange,
|  | Point< float > | lineOrigin,
|  | float | ascent,
|  | float | descent,
|  | float | leading,
|  | int | numRunsToPreallocate )

References ascent, descent, leading, lineOrigin, and stringRange.

## Line() [3/4]

juce::TextLayout::Line::Line | ( | const Line & |  | ) |

References Line().

## Line() [4/4]

juce::TextLayout::Line::Line | ( | Line && |  | ) |

default noexcept

References Line().

## ~Line()

juce::TextLayout::Line::~Line | ( |  | ) |

default noexcept

References Line().

## Member Functions

## operator=() [1/2]

Line & juce::TextLayout::Line::operator= | ( | const Line & |  | ) |

References Line().

## operator=() [2/2]

Line & juce::TextLayout::Line::operator= | ( | Line && |  | ) |

default noexcept

References Line().

## getLineBoundsX()

Range< float > juce::TextLayout::Line::getLineBoundsX | ( |  | ) | const

noexcept

Returns the X position range which contains all the glyphs in this line.

References getLineBoundsX().

Referenced by getLineBoundsX().

## getLineBoundsY()

Range< float > juce::TextLayout::Line::getLineBoundsY | ( |  | ) | const

noexcept

Returns the Y position range which contains all the glyphs in this line.

References getLineBoundsY().

Referenced by getLineBoundsY().

## getLineBounds()

Rectangle< float > juce::TextLayout::Line::getLineBounds | ( |  | ) | const

noexcept

Returns the smallest rectangle which contains all the glyphs in this line.

References getLineBounds().

Referenced by getLineBounds(), and juce::TextLayout::getStringBounds().

## swap()

void juce::TextLayout::Line::swap | ( | Line & | other | ) |

noexcept

References Line(), and swap().

Referenced by swap().

## Member Data Documentation

## runs

OwnedArray<Run> juce::TextLayout::Line::runs

The glyph-runs in this line.

## stringRange

Range<int> juce::TextLayout::Line::stringRange

The character range that this line represents in the original string that was used to create it.

Referenced by Line().

## lineOrigin

Point<float> juce::TextLayout::Line::lineOrigin

The line's baseline origin.

Referenced by Line().

## ascent

float juce::TextLayout::Line::ascent = 0.0f

Referenced by Line().

## descent

float juce::TextLayout::Line::descent = 0.0f

Referenced by Line().

## leading

float juce::TextLayout::Line::leading = 0.0f

Referenced by Line().

### Purchase

Get JUCE

### Discover

What's New in JUCE Features

### Learn

Documentaion Tutorials Made with JUCE Resources

### Support

JUCE Forum Newsletter Archive

### About

Contact Us JUCE Legal JUCE Licensing FAQ

### Events

Audio Developer Conference
© Raw Material Software Limited